> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /isthereanydeal/games/search

> Search and filter PC game deals on IsThereAnyDeal: browse current deals or all games with an extensive filter set (store, product type, platform, DRM, tags, price and discount range, deal flag, review scores) and sorting. Each result carries the game with its current best price, discount, store and all current per-store offers.

**Price:** 5 credits per 60 results



## OpenAPI

````yaml /openapi/games.json post /api/isthereanydeal/games/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/isthereanydeal/games/search:
    post:
      tags:
        - /isthereanydeal
      summary: /isthereanydeal/games/search
      description: >-
        Search and filter PC game deals on IsThereAnyDeal: browse current deals
        or all games with an extensive filter set (store, product type,
        platform, DRM, tags, price and discount range, deal flag, review scores)
        and sorting. Each result carries the game with its current best price,
        discount, store and all current per-store offers.


        **Price:** 5 credits per 60 results
      operationId: __api_isthereanydeal_games_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ItadGamesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ItadSearchResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ItadGamesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        count:
          type: integer
          minimum: 1
        keyword:
          anyOf:
            - type: string
            - type: 'null'
        deals_only:
          type: boolean
          default: true
        shops:
          anyOf:
            - items:
                $ref: '#/components/schemas/ItadShop'
              type: array
            - type: 'null'
        product_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/ItadGameType'
              type: array
            - type: 'null'
        platforms:
          anyOf:
            - items:
                $ref: '#/components/schemas/ItadPlatform'
              type: array
            - type: 'null'
        drm:
          anyOf:
            - items:
                $ref: '#/components/schemas/ItadDrm'
              type: array
            - type: 'null'
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        price_min:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        price_max:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        cut_min:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 0
            - type: 'null'
        cut_max:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 0
            - type: 'null'
        flag:
          anyOf:
            - $ref: '#/components/schemas/ItadDealFlag'
            - type: 'null'
        steam_rating_min:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 0
            - type: 'null'
        metacritic_min:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 0
            - type: 'null'
        opencritic_min:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 0
            - type: 'null'
        sort:
          $ref: '#/components/schemas/ItadDealsSort'
          default: '-hot'
        show_mature:
          type: boolean
          default: false
        country:
          $ref: '#/components/schemas/ItadCountry'
          default: US
        currency:
          $ref: '#/components/schemas/ItadCurrency'
          default: USD
      type: object
      required:
        - count
    ItadSearchResult:
      properties:
        '@type':
          type: string
          default: ItadSearchResult
        id:
          type: string
        slug:
          anyOf:
            - type: string
            - type: 'null'
        game_title:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        is_mature:
          type: boolean
          default: false
        image:
          anyOf:
            - type: string
            - type: 'null'
        banner:
          anyOf:
            - type: string
            - type: 'null'
        has_achievements:
          type: boolean
          default: false
        has_trading_cards:
          type: boolean
          default: false
        is_early_access:
          type: boolean
          default: false
        is_pre_order:
          type: boolean
          default: false
        cut:
          anyOf:
            - type: integer
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_old:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        shop:
          anyOf:
            - type: string
            - type: 'null'
        flag:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        deals:
          items:
            $ref: '#/components/schemas/ItadDeal'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ItadShop:
      type: string
      enum:
        - Steam
        - Epic Game Store
        - GOG
        - Humble Store
        - Fanatical
        - GreenManGaming
        - GamesPlanet US
        - GamesPlanet UK
        - GamesPlanet DE
        - GamesPlanet FR
        - GameBillet
        - GamersGate
        - WinGameStore
        - MacGameStore
        - Microsoft Store
        - Ubisoft Store
        - EA Store
        - itch.io
        - IndieGala Store
        - AllYouPlay
        - Nuuvem
        - Voidu
        - DLGamer
        - Noctre
        - GamesPlanet US
        - Amazon
        - Playsum
    ItadGameType:
      type: string
      enum:
        - game
        - dlc
        - package
        - software
        - hardware
    ItadPlatform:
      type: string
      enum:
        - windows
        - mac
        - linux
    ItadDrm:
      type: string
      enum:
        - drm_free
        - Steam
        - Epic Game Store
        - GOG
        - Ubisoft Store
        - EA Store
        - Microsoft Store
        - itch.io
    ItadDealFlag:
      type: string
      enum:
        - 'N'
        - H
        - S
    ItadDealsSort:
      type: string
      enum:
        - '-hot'
        - '-time'
        - '-cut'
        - price
        - expiry
        - '-release-date'
        - rank
        - '-waitlisted'
        - '-collected'
        - '-steam-players'
        - '-steam-reviews'
        - '-steam-reviews-count'
        - '-opencritic'
        - '-metacritic'
        - '-metacritic-user'
    ItadCountry:
      type: string
      enum:
        - AD
        - AE
        - AF
        - AG
        - AI
        - AL
        - AM
        - AO
        - AR
        - AT
        - AU
        - AW
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BM
        - BN
        - BO
        - BR
        - BS
        - BT
        - BW
        - BY
        - BZ
        - CA
        - CD
        - CG
        - CH
        - CI
        - CL
        - CM
        - CN
        - CO
        - CR
        - CV
        - CY
        - CZ
        - DE
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EC
        - EE
        - EG
        - ER
        - ES
        - ET
        - FI
        - FJ
        - FR
        - GA
        - GB
        - GD
        - GE
        - GH
        - GM
        - GN
        - GR
        - GT
        - GW
        - GY
        - HK
        - HN
        - HR
        - HT
        - HU
        - ID
        - IE
        - IL
        - IN
        - IQ
        - IS
        - IT
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KM
        - KN
        - KR
        - KW
        - KY
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MG
        - MK
        - ML
        - MM
        - MN
        - MO
        - MR
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NE
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NZ
        - OM
        - PA
        - PE
        - PG
        - PH
        - PK
        - PL
        - PT
        - PY
        - QA
        - RO
        - RS
        - RU
        - RW
        - SA
        - SB
        - SC
        - SD
        - SE
        - SG
        - SI
        - SK
        - SL
        - SN
        - SR
        - ST
        - SV
        - SZ
        - TC
        - TD
        - TG
        - TH
        - TJ
        - TL
        - TM
        - TN
        - TO
        - TR
        - TT
        - TW
        - TZ
        - UA
        - UG
        - US
        - UY
        - UZ
        - VC
        - VE
        - VN
        - VU
        - WS
        - YE
        - ZA
        - ZM
        - ZW
    ItadCurrency:
      type: string
      enum:
        - AED
        - ARS
        - AUD
        - BGN
        - BRL
        - CAD
        - CHF
        - CLP
        - CNY
        - COP
        - CRC
        - CZK
        - DKK
        - EUR
        - GBP
        - HKD
        - HUF
        - IDR
        - ILS
        - INR
        - JPY
        - KRW
        - KWD
        - KZT
        - MXN
        - MYR
        - NOK
        - NZD
        - PEN
        - PHP
        - PLN
        - QAR
        - RON
        - RUB
        - SAR
        - SEK
        - SGD
        - THB
        - TRY
        - TWD
        - UAH
        - USD
        - UYU
        - VND
        - ZAR
    ItadDeal:
      properties:
        '@type':
          type: string
          default: ItadDeal
        shop:
          anyOf:
            - type: string
            - type: 'null'
        shop_id:
          anyOf:
            - type: integer
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        cut:
          anyOf:
            - type: integer
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_old:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        store_low:
          anyOf:
            - type: number
            - type: 'null'
        history_low:
          anyOf:
            - type: number
            - type: 'null'
        flag:
          anyOf:
            - type: string
            - type: 'null'
        voucher:
          anyOf:
            - type: string
            - type: 'null'
        promo:
          anyOf:
            - type: string
            - type: 'null'
        is_drm_free:
          type: boolean
          default: false
        drm:
          items:
            type: string
          type: array
          default: []
        platforms:
          items:
            type: string
          type: array
          default: []
        added_at:
          anyOf:
            - type: integer
            - type: 'null'
        expiry_at:
          anyOf:
            - type: integer
            - type: 'null'
        voucher_offers:
          items:
            $ref: '#/components/schemas/ItadVoucherOffer'
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    ItadVoucherOffer:
      properties:
        '@type':
          type: string
          default: ItadVoucherOffer
        cut:
          anyOf:
            - type: integer
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        voucher:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````